Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ClientCommunicator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ClientCommunicator.cs	(revision 4115)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ClientCommunicator.cs	(revision 4116)
@@ -82,5 +82,5 @@
 
         foreach (ClientDto client in allClients) {
-          if (client.State != State.offline && client.State != State.nullState) {
+          if (client.State != State.Offline && client.State != State.NullState) {
             heartbeatLock.EnterUpgradeableReadLock();
 
@@ -88,5 +88,5 @@
               Logger.Info("Client " + client.Id +
                               " wasn't offline but hasn't sent heartbeats - setting offline");
-              client.State = State.offline;
+              client.State = State.Offline;
               DaoLocator.ClientDao.Update(client);
               Logger.Info("Client " + client.Id +
@@ -113,5 +113,5 @@
                 Logger.Debug("setting client offline");
                 // client must be set offline
-                client.State = State.offline;
+                client.State = State.Offline;
 
                 //clientAdapter.Update(client);
@@ -146,5 +146,5 @@
 
     private void CheckForPendingJobs() {
-      IList<JobDto> pendingJobsInDB = new List<JobDto>(DaoLocator.JobDao.GetJobsByState(State.pending));
+      IList<JobDto> pendingJobsInDB = new List<JobDto>(DaoLocator.JobDao.GetJobsByState(State.Pending));
 
       foreach (JobDto currJob in pendingJobsInDB) {
@@ -152,5 +152,5 @@
           if (pendingJobs.ContainsKey(currJob.Id)) {
             if (pendingJobs[currJob.Id] <= 0) {
-              currJob.State = State.offline;
+              currJob.State = State.Offline;
               DaoLocator.JobDao.Update(currJob);
             } else {
@@ -185,5 +185,5 @@
       //Really set offline? 
       //Reconnect issues with the currently calculating jobs
-      clientInfo.State = State.idle;
+      clientInfo.State = State.Idle;
       clientInfo.CalendarSyncStatus = dbClient != null ? dbClient.CalendarSyncStatus : CalendarState.NotAllowedToFetch;
 
@@ -258,5 +258,5 @@
       Logger.Debug("END Finished Client Fetching");
       // check if the client is logged in
-      if (client.State == State.offline || client.State == State.nullState) {
+      if (client.State == State.Offline || client.State == State.NullState) {
         response.Success = false;
         response.StatusMessage = ApplicationConstants.RESPONSE_COMMUNICATOR_USER_NOT_LOGGED_IN;
@@ -341,16 +341,16 @@
             response.StatusMessage = ApplicationConstants.RESPONSE_COMMUNICATOR_JOB_IS_NOT_BEEING_CALCULATED;
             Logger.Error("There is no job calculated by this user " + hbData.ClientId + " Job: " + curJob);
-          } else if (curJob.State == State.abort) {
+          } else if (curJob.State == State.Abort) {
             // a request to abort the job has been set
             response.ActionRequest.Add(new MessageContainer(MessageContainer.MessageType.AbortJob, curJob.Id));
-            curJob.State = State.finished;
+            curJob.State = State.Finished;
           } else {
             // save job progress
             curJob.Percentage = jobProgress.Value;
 
-            if (curJob.State == State.requestSnapshot) {
+            if (curJob.State == State.RequestSnapshot) {
               // a request for a snapshot has been set
               response.ActionRequest.Add(new MessageContainer(MessageContainer.MessageType.RequestSnapshot, curJob.Id));
-              curJob.State = State.requestSnapshotSent;
+              curJob.State = State.RequestSnapshotSent;
             }
           }
@@ -376,5 +376,5 @@
                 Logger.Error("Job TTL reached Zero, Job gets removed: " + currJob + " and set back to offline. User that sucks: " + currJob.Client);
 
-                currJob.State = State.offline;
+                currJob.State = State.Offline;
                 DaoLocator.JobDao.Update(currJob);
 
@@ -385,5 +385,5 @@
             } else {
               Logger.Error("Job ID wasn't with the heartbeats:  " + currJob);
-              currJob.State = State.offline;
+              currJob.State = State.Offline;
               DaoLocator.JobDao.Update(currJob);
             }
@@ -516,5 +516,5 @@
         return response;
       }
-      if (job.JobInfo.State == State.abort) {
+      if (job.JobInfo.State == State.Abort) {
         response.Success = false;
         response.StatusMessage = ApplicationConstants.RESPONSE_COMMUNICATOR_JOB_WAS_ABORTED;
@@ -545,5 +545,5 @@
         return response;
       }
-      if (job.JobInfo.State == State.finished) {
+      if (job.JobInfo.State == State.Finished) {
         response.Success = true;
         response.StatusMessage = ApplicationConstants.RESPONSE_COMMUNICATOR_JOBRESULT_RECEIVED;
@@ -556,9 +556,9 @@
       }
       //Todo: RequestsnapshotSent => calculating?
-      if (job.JobInfo.State == State.requestSnapshotSent) {
-        job.JobInfo.State = State.calculating;
-      }
-      if (job.JobInfo.State != State.calculating &&
-        job.JobInfo.State != State.pending) {
+      if (job.JobInfo.State == State.RequestSnapshotSent) {
+        job.JobInfo.State = State.Calculating;
+      }
+      if (job.JobInfo.State != State.Calculating &&
+        job.JobInfo.State != State.Pending) {
         response.Success = false;
         response.StatusMessage = ApplicationConstants.RESPONSE_COMMUNICATOR_WRONG_JOB_STATE;
@@ -573,5 +573,5 @@
 
       if (finished) {
-        job.JobInfo.State = State.finished;
+        job.JobInfo.State = State.Finished;
         job.JobInfo.DateFinished = DateTime.Now;
       }
@@ -637,14 +637,14 @@
         return response;
       }
-      if (client.State == State.calculating) {
+      if (client.State == State.Calculating) {
         // check wich job the client was calculating and reset it
         IEnumerable<JobDto> jobsOfClient = DaoLocator.JobDao.FindActiveJobsOfClient(client);
         foreach (JobDto job in jobsOfClient) {
-          if (job.State != State.finished)
+          if (job.State != State.Finished)
             DaoLocator.JobDao.SetJobOffline(job);
         }
       }
 
-      client.State = State.offline;
+      client.State = State.Offline;
       DaoLocator.ClientDao.Update(client);
 
@@ -670,5 +670,5 @@
         return response;
       }
-      if (job.State == State.finished) {
+      if (job.State == State.Finished) {
         response.Success = true;
         response.StatusMessage = ApplicationConstants.RESPONSE_COMMUNICATOR_JOB_ALLREADY_FINISHED;
@@ -676,5 +676,5 @@
         return response;
       }
-      job.State = State.pending;
+      job.State = State.Pending;
       lock (pendingJobs) {
         pendingJobs.Add(job.Id, PENDING_TIMEOUT);
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/DbTestApp.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/DbTestApp.cs	(revision 4115)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/DbTestApp.cs	(revision 4116)
@@ -123,5 +123,5 @@
       c1.NrOfFreeCores = 2;
       c1.CpuSpeedPerCore = 2500;
-      c1.State = State.idle;
+      c1.State = State.Idle;
       c1 = clientDao.Insert(c1);
 
@@ -137,5 +137,5 @@
       c2.NrOfFreeCores = 1;
       c2.CpuSpeedPerCore = 4000;
-      c2.State = State.idle;
+      c2.State = State.Idle;
       c2 = clientDao.Insert(c2);
 
@@ -159,5 +159,5 @@
         Percentage = 0,
         Priority = 1,
-        State = State.offline
+        State = State.Offline
       };
 
@@ -204,5 +204,5 @@
         client.NrOfFreeCores = 2;
         client.CpuSpeedPerCore = 2500;
-        client.State = State.idle;
+        client.State = State.Idle;
         client = clientDao.Insert(client);
         cgd.AddRessourceToClientGroup(client.Id, mg.Id);
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/DefaultScheduler.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/DefaultScheduler.cs	(revision 4115)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/DefaultScheduler.cs	(revision 4116)
@@ -26,5 +26,5 @@
     public bool ExistsJobForClient(HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData hbData) {
       List<JobDto> allOfflineJobsForClient =
-        new List<JobDto>(DaoLocator.JobDao.FindFittingJobsForClient(State.offline, hbData.FreeCores, hbData.FreeMemory,
+        new List<JobDto>(DaoLocator.JobDao.FindFittingJobsForClient(State.Offline, hbData.FreeCores, hbData.FreeMemory,
                                                                     hbData.ClientId));
       return (allOfflineJobsForClient != null && allOfflineJobsForClient.Count > 0);
@@ -38,11 +38,11 @@
         ClientDto client = DaoLocator.ClientDao.FindById(clientId);
         LinkedList<JobDto> allOfflineJobsForClient =
-          new LinkedList<JobDto>(DaoLocator.JobDao.FindFittingJobsForClient(State.offline, client.NrOfFreeCores,
+          new LinkedList<JobDto>(DaoLocator.JobDao.FindFittingJobsForClient(State.Offline, client.NrOfFreeCores,
                                                                             client.FreeMemory, client.Id));        
         if (allOfflineJobsForClient != null && allOfflineJobsForClient.Count > 0) {
           jobToCalculate = allOfflineJobsForClient.First.Value;
-          jobToCalculate.State = State.calculating;
+          jobToCalculate.State = State.Calculating;
           jobToCalculate.Client = client;
-          jobToCalculate.Client.State = State.calculating;
+          jobToCalculate.Client.State = State.Calculating;
           jobToCalculate.DateCalculated = DateTime.Now;
           DaoLocator.JobDao.AssignClientToJob(client.Id, jobToCalculate.Id);
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/JobManager.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/JobManager.cs	(revision 4115)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/JobManager.cs	(revision 4116)
@@ -66,5 +66,5 @@
         List<JobDto> allJobs = new List<JobDto>(DaoLocator.JobDao.FindAll());
         foreach (JobDto curJob in allJobs) {
-          if (curJob.State != State.calculating && curJob.State != State.finished) {
+          if (curJob.State != State.Calculating && curJob.State != State.Finished) {
             DaoLocator.JobDao.SetJobOffline(curJob);
           }
@@ -170,5 +170,5 @@
 
       if (job != null && job.JobInfo != null) {
-        if (job.JobInfo.State != State.offline) {
+        if (job.JobInfo.State != State.Offline) {
           response.Success = false;
           response.StatusMessage = ApplicationConstants.RESPONSE_JOB_JOBSTATE_MUST_BE_OFFLINE;
@@ -242,5 +242,5 @@
 
       //if it's a snapshot but the result hasn't reached the server yet...
-      if (snapshot && (job.State == State.requestSnapshot || job.State == State.requestSnapshotSent)) {
+      if (snapshot && (job.State == State.RequestSnapshot || job.State == State.RequestSnapshotSent)) {
         response.Success = true;
         response.StatusMessage = ApplicationConstants.RESPONSE_JOB_RESULT_NOT_YET_HERE;
@@ -250,5 +250,5 @@
 
       //if it's NOT a snapshot, NEITHER request NOR is it finished
-      if (!requested && !snapshot && job.State != State.finished) {
+      if (!requested && !snapshot && job.State != State.Finished) {
         response.Success = true;
         response.StatusMessage = ApplicationConstants.RESPONSE_JOB_RESULT_NOT_YET_HERE;
@@ -273,10 +273,10 @@
 
       JobDto job = DaoLocator.JobDao.FindById(jobId);
-      if (job.State == State.requestSnapshot || job.State == State.requestSnapshotSent) {
+      if (job.State == State.RequestSnapshot || job.State == State.RequestSnapshotSent) {
         response.Success = true;
         response.StatusMessage = ApplicationConstants.RESPONSE_JOB_REQUEST_ALLREADY_SET;
         return response;
       }
-      if (job.State != State.calculating) {
+      if (job.State != State.Calculating) {
         response.Success = false;
         response.StatusMessage = ApplicationConstants.RESPONSE_JOB_IS_NOT_BEEING_CALCULATED;
@@ -284,5 +284,5 @@
       }
       // job is in correct state
-      job.State = State.requestSnapshot;
+      job.State = State.RequestSnapshot;
       DaoLocator.JobDao.Update(job);
 
@@ -302,10 +302,10 @@
         return response; // no commit needed
       }
-      if (job.State == State.abort) {
+      if (job.State == State.Abort) {
         response.Success = true;
         response.StatusMessage = ApplicationConstants.RESPONSE_JOB_ABORT_REQUEST_ALLREADY_SET;
         return response; // no commit needed
       }
-      if (job.State != State.calculating && job.State != State.requestSnapshot && job.State != State.requestSnapshotSent) {
+      if (job.State != State.Calculating && job.State != State.RequestSnapshot && job.State != State.RequestSnapshotSent) {
         response.Success = false;
         response.StatusMessage = ApplicationConstants.RESPONSE_JOB_IS_NOT_BEEING_CALCULATED;
@@ -313,5 +313,5 @@
       }
       // job is in correct state
-      job.State = State.abort;
+      job.State = State.Abort;
       DaoLocator.JobDao.Update(job);
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Properties/AssemblyInfo.cs	(revision 4115)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Properties/AssemblyInfo.cs	(revision 4116)
@@ -55,5 +55,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.3.0.4107")]
-[assembly: AssemblyFileVersion("3.3.0.4107")]
-[assembly: AssemblyBuildDate("2010/07/27 14:15:12")]
+[assembly: AssemblyVersion("3.3.0.4111")]
+[assembly: AssemblyFileVersion("3.3.0.4111")]
+[assembly: AssemblyBuildDate("2010/07/27 18:31:46")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/ClientDao.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/ClientDao.cs	(revision 4115)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/ClientDao.cs	(revision 4116)
@@ -101,5 +101,5 @@
       target.NrOfCores = source.NumberOfCores ?? 0;
       target.NrOfFreeCores = source.NumberOfFreeCores ?? 0;
-      target.State = (State) Enum.Parse(typeof (State), source.Status);
+      target.State = (State) Enum.Parse(typeof (State), source.Status, true);
       return target;
     } 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/JobDao.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/JobDao.cs	(revision 4115)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/JobDao.cs	(revision 4116)
@@ -28,10 +28,10 @@
 
       IQueryable<JobDto> query = null;
-      if (jobState == State.finished) {
+      if (jobState == State.Finished) {
          query = from job in Context.Jobs
                  where job.JobState == Enum.GetName(typeof (State), jobState)
                  orderby job.DateFinished
                  select EntityToDto(job, null);
-      } else if (jobState == State.calculating || jobState == State.requestSnapshot || jobState == State.requestSnapshotSent) {
+      } else if (jobState == State.Calculating || jobState == State.RequestSnapshot || jobState == State.RequestSnapshotSent) {
         query = from job in Context.Jobs
                     where job.JobState == Enum.GetName(typeof(State), jobState)
@@ -97,8 +97,8 @@
     public IEnumerable<JobDto> FindActiveJobsOfClient(ClientDto client) {
       return (from j in Context.Jobs
-              where (j.JobState == Enum.GetName(typeof (State), State.calculating) ||
-                     j.JobState == Enum.GetName(typeof (State), State.abort) ||
-                     j.JobState == Enum.GetName(typeof (State), State.requestSnapshot) ||
-                     j.JobState == Enum.GetName(typeof (State), State.requestSnapshotSent)) &&
+              where (j.JobState == Enum.GetName(typeof (State), State.Calculating) ||
+                     j.JobState == Enum.GetName(typeof (State), State.Abort) ||
+                     j.JobState == Enum.GetName(typeof (State), State.RequestSnapshot) ||
+                     j.JobState == Enum.GetName(typeof (State), State.RequestSnapshotSent)) &&
                     (j.ResourceId.Equals(client.Id))
               select EntityToDto(j, null)).ToList();
@@ -112,5 +112,5 @@
       
       var q = (from ar in Context.AssignedResources               
-               where ar.Job.JobState == Enum.GetName(typeof (State), State.offline) &&
+               where ar.Job.JobState == Enum.GetName(typeof (State), State.Offline) &&
                      ar.Job.CoresNeeded <= freeCores &&
                      ar.Job.MemoryNeeded <= freeMemory &&
@@ -139,5 +139,5 @@
       Job j = Context.Jobs.SingleOrDefault(jq => jq.JobId.Equals(job.Id));
       j.Client = null;
-      j.JobState = Enum.GetName(typeof(State), State.offline); 
+      j.JobState = Enum.GetName(typeof(State), State.Offline); 
       CommitChanges();
     }
@@ -199,5 +199,5 @@
       
       target.Priority = source.Priority;
-      target.State = (State) Enum.Parse(typeof (State), source.JobState);
+      target.State = (State) Enum.Parse(typeof (State), source.JobState, true);
       return target;
     }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd	(revision 4115)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd	(revision 4116)
@@ -1,4 +1,5 @@
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Server\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Client.Core\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
+ConfigMerger "%SolutionDir%HeuristicLab.Hive.Experiment\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 
 ConfigMerger "HeuristicLab.Hive-3.3.dll.config" "HeuristicLab 3.3.exe.config"
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Properties/AssemblyInfo.cs	(revision 4115)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Properties/AssemblyInfo.cs	(revision 4116)
@@ -51,4 +51,4 @@
 //      Revision
 //
-[assembly: AssemblyVersion("3.3.0.4107")]
-[assembly: AssemblyFileVersion("3.3.0.4107")]
+[assembly: AssemblyVersion("3.3.0.4111")]
+[assembly: AssemblyFileVersion("3.3.0.4111")]
